%define name	%{mod_name}
%define version %{mod_version}
%define release 3

# Module-Specific definitions
%define mod_version	0.2
%define mod_name	mod_dosdetector
#%define mod_conf	13_%{mod_name}.conf
%define mod_so		%{mod_name}.so
%define sourcename	%{mod_name}-%{mod_version}
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%define apxs		/usr/bin/apxs
%else
%define apxs		/usr/sbin/apxs
%endif

Summary:	DoS attack detector for the Apache web server
Name:		mod_dosdetector
Version:	0.2
Release:	6%{?dist}
License:	Apache License
Group:		System/Servers
URL:		http://misccs.dyndns.org/mod_dosdetector/
Source0:	http://misccs.dyndns.org/mod_dosdetector/%{sourcename}.tar.gz
Source1:	10-mod_dosdetector.conf
Source2:	mod_dosdetector.conf

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel,apr-devel

%description
mod_auth_pgsql can be used to limit access to documents served by
a web server by checking fields in a table in a PostgresQL
database.

%prep
%setup -q -n %{sourcename}
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
sed -i -e 's,remote_ip,client_ip,g' \
       -e 's,remote_addr,client_addr,g' \
       -e 's,ap_default_type(r),"text/html",g' \
mod_dosdetector.c
%endif

%build

%{apxs} -c mod_dosdetector.c -n mod_dosdetector.so

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -d -m0755 -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%else
cat %{SOURCE1} %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
install -c -m0755 .libs/mod_dosdetector.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/httpd/modules/%{name}.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%config(noreplace) %{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
%endif

%changelog
* Thu Sep 25 2014 momo-i <webmaster@momo-i.org> - 0.2-6
- Update for rhel7

* Tue Aug 23 2011  <webmaster@momo-i.org> - 0.2-2
- Added sample configuration.

* Fri Jan 19 2007  <stanaka@inco.hatena.com> - 0.1-1
- Initial release.

